
Installer - Feature #2535

Use tito and spec file instead of fpm for foreman-installer

05/21/2013 02:01 PM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee: Lukas Zapletal   

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In order to support an SCL-enabled installer as well as the tito/koji build workflow, foreman-installer needs to have a spec file and

appropriate rel-eng files added.

The existing fpm script is available here: https://github.com/theforeman/foreman-rpms/blob/master/fpm/build_installer_pkgs.sh

The package has a couple of dependencies and just installs everything underneath /usr/share/foreman-installer.

Associated revisions

Revision e603d993 - 05/29/2013 04:03 AM - Lukas Zapletal

fixes #2535 - adding spec and temp release script

Revision 77f56c30 - 06/07/2013 07:35 AM - Lukas Zapletal

fixes #2535 - adding spec and temp release script

(cherry picked from commit e603d993f8459033e27cb65ca459cbbb8c43ecc4)

History

#1 - 05/21/2013 03:27 PM - Lukas Zapletal

- Status changed from New to Assigned

- Assignee set to Lukas Zapletal

Taking!

#2 - 05/28/2013 05:52 AM - Lukas Zapletal

Currently really blocked by tito and git submodules. I think it can be challenging to give tito full submodules support (only creating a tarball is easy,

but there are more features that depends on git commands like git diff and others which behaves differently when submodules are in use).

#3 - 05/29/2013 04:04 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.2.0

https://github.com/theforeman/foreman-installer/pull/50

#4 - 05/29/2013 04:05 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

#5 - 07/10/2018 02:46 PM - Greg Sutcliffe

- Target version deleted (1.2.0)
